This file is part of MXE. See LICENSE.md for licensing information.

Contains ad hoc patches for cross building.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: "fix@me" <fix@me>
Date: Fri, 1 Oct 2010 14:43:15 +0200
Subject: [PATCH 1/5] remove pangox dependency


diff --git a/configure.in b/configure.in
index 1111111..2222222 100644
--- a/configure.in
+++ b/configure.in
@@ -349,7 +349,6 @@ PKG_CHECK_MODULES([BASE_DEPENDENCIES], [\
 gtk_pkg >= gtk_required_version \
 gdk_pkg >= gdk_required_version \
 pango_pkg >= pango_required_version \
-pangox_pkg >= pangox_required_version \
 gmodule_pkg >= gmodule_required_version \
 ])
 
@@ -794,7 +793,7 @@ LIBS="$save_LIBS"
 # CFLAGS and LIBS
 ##################################################
 
-GDKGLEXT_PACKAGES="gdk_pkg pango_pkg pangox_pkg gmodule_pkg"
+GDKGLEXT_PACKAGES="gdk_pkg pango_pkg gmodule_pkg"
 GDKGLEXT_EXTRA_CFLAGS="$GL_CFLAGS $GDKGLEXT_WIN_CFLAGS"
 GDKGLEXT_EXTRA_LIBS="$GL_LIBS $GDKGLEXT_WIN_LIBS"
 GDKGLEXT_DEP_CFLAGS="$GDKGLEXT_EXTRA_CFLAGS `$PKG_CONFIG --cflags $GDKGLEXT_PACKAGES`"

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: "fix@me" <fix@me>
Date: Fri, 1 Oct 2010 14:44:37 +0200
Subject: [PATCH 2/5] use correct glib mkenums patch

This patch has been taken from:
https://bugzilla.gnome.org/show_bug.cgi?id=618599

diff --git a/gdk/Makefile.am b/gdk/Makefile.am
index 1111111..2222222 100644
--- a/gdk/Makefile.am
+++ b/gdk/Makefile.am
@@ -157,7 +157,7 @@ $(libgdkglext_x11_@API_MJ@_@API_MI@_la_OBJECTS) $(libgdkglext_win32_@API_MJ@_@AP
 $(srcdir)/gdkglenumtypes.h: stamp-gdkglenumtypes-h
 	@true
 stamp-gdkglenumtypes-h: @REBUILD@ $(gdkglext_public_h_sources) Makefile
-	( cd $(srcdir) && glib-mkenums \
+	( cd $(srcdir) && $(GLIB_MKENUMS) \
 			--fhead "#ifndef __GDK_GL_ENUM_TYPES_H__\n#define __GDK_GL_ENUM_TYPES_H__\n\n#include <glib-object.h>\n\nG_BEGIN_DECLS\n" \
 			--fprod "/* enumerations from \"@filename@\" */\n" \
 			--vhead "GType @enum_name@_get_type (void);\n#define GDK_TYPE_@ENUMSHORT@ (@enum_name@_get_type())\n" \
@@ -167,7 +167,7 @@ stamp-gdkglenumtypes-h: @REBUILD@ $(gdkglext_public_h_sources) Makefile
 	&& rm -f xgen-geth \
 	&& echo timestamp > $(@F)
 $(srcdir)/gdkglenumtypes.c: @REBUILD@ $(gdkglext_public_h_sources) Makefile
-	( cd $(srcdir) && glib-mkenums \
+	( cd $(srcdir) && $(GLIB_MKENUMS) \
 			--fhead "#include \"gdkgl.h\"" \
 			--fprod "\n/* enumerations from \"@filename@\" */" \
 			--vhead "GType\n@enum_name@_get_type (void)\n{\n  static GType etype = 0;\n  if (etype == 0) {\n    static const G@Type@Value values[] = {" \
diff --git a/gdk/Makefile.in b/gdk/Makefile.in
index 1111111..2222222 100644
--- a/gdk/Makefile.in
+++ b/gdk/Makefile.in
@@ -844,7 +844,7 @@ $(libgdkglext_x11_@API_MJ@_@API_MI@_la_OBJECTS) $(libgdkglext_win32_@API_MJ@_@AP
 $(srcdir)/gdkglenumtypes.h: stamp-gdkglenumtypes-h
 	@true
 stamp-gdkglenumtypes-h: @REBUILD@ $(gdkglext_public_h_sources) Makefile
-	( cd $(srcdir) && glib-mkenums \
+	( cd $(srcdir) && $(GLIB_MKENUMS) \
 			--fhead "#ifndef __GDK_GL_ENUM_TYPES_H__\n#define __GDK_GL_ENUM_TYPES_H__\n\n#include <glib-object.h>\n\nG_BEGIN_DECLS\n" \
 			--fprod "/* enumerations from \"@filename@\" */\n" \
 			--vhead "GType @enum_name@_get_type (void);\n#define GDK_TYPE_@ENUMSHORT@ (@enum_name@_get_type())\n" \
@@ -854,7 +854,7 @@ stamp-gdkglenumtypes-h: @REBUILD@ $(gdkglext_public_h_sources) Makefile
 	&& rm -f xgen-geth \
 	&& echo timestamp > $(@F)
 $(srcdir)/gdkglenumtypes.c: @REBUILD@ $(gdkglext_public_h_sources) Makefile
-	( cd $(srcdir) && glib-mkenums \
+	( cd $(srcdir) && $(GLIB_MKENUMS) \
 			--fhead "#include \"gdkgl.h\"" \
 			--fprod "\n/* enumerations from \"@filename@\" */" \
 			--vhead "GType\n@enum_name@_get_type (void)\n{\n  static GType etype = 0;\n  if (etype == 0) {\n    static const G@Type@Value values[] = {" \

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: "fix@me" <fix@me>
Date: Fri, 1 Oct 2010 14:47:30 +0200
Subject: [PATCH 3/5] don't use deprecated functions

This patch has been taken from:
https://bugzilla.gnome.org/show_bug.cgi?id=618601

diff --git a/gtk/gtkglwidget.c b/gtk/gtkglwidget.c
index 1111111..2222222 100644
--- a/gtk/gtkglwidget.c
+++ b/gtk/gtkglwidget.c
@@ -127,7 +127,7 @@ gtk_gl_widget_size_allocate (GtkWidget       *widget,
    * Synchronize OpenGL and window resizing request streams.
    */
 
-  if (GTK_WIDGET_REALIZED (widget) && private->is_realized)
+  if (gtk_widget_get_realized (widget) && private->is_realized)
     {
       gldrawable = gdk_window_get_gl_drawable (widget->window);
       gdk_gl_drawable_wait_gdk (gldrawable);
@@ -154,7 +154,7 @@ gtk_gl_widget_unrealize (GtkWidget       *widget,
    * Remove OpenGL-capability from widget->window.
    */
 
-  if (GTK_WIDGET_REALIZED (widget))
+  if (gtk_widget_get_realized (widget))
     gdk_window_unset_gl_capability (widget->window);
 
   private->is_realized = FALSE;
@@ -174,7 +174,7 @@ gtk_gl_widget_parent_set (GtkWidget   *widget,
    */
 
   toplevel = gtk_widget_get_toplevel (widget);
-  if (GTK_WIDGET_TOPLEVEL (toplevel) && !GTK_WIDGET_REALIZED (toplevel))
+  if (gtk_widget_is_toplevel (toplevel) && !gtk_widget_get_realized (toplevel))
     {
       GTK_GL_NOTE (MISC,
         g_message (" - Install colormap to the top-level window."));
@@ -194,7 +194,7 @@ gtk_gl_widget_style_set (GtkWidget *widget,
    * Set a background of "None" on window to avoid AIX X server crash.
    */
 
-  if (GTK_WIDGET_REALIZED (widget))
+  if (gtk_widget_get_realized (widget))
     {
       GTK_GL_NOTE (MISC,
         g_message (" - window->bg_pixmap = %p",
@@ -250,8 +250,8 @@ gtk_widget_set_gl_capability (GtkWidget    *widget,
   GTK_GL_NOTE_FUNC ();
 
   g_return_val_if_fail (GTK_IS_WIDGET (widget), FALSE);
-  g_return_val_if_fail (!GTK_WIDGET_NO_WINDOW (widget), FALSE);
-  g_return_val_if_fail (!GTK_WIDGET_REALIZED (widget), FALSE);
+  g_return_val_if_fail (gtk_widget_get_has_window (widget), FALSE);
+  g_return_val_if_fail (!gtk_widget_get_realized (widget), FALSE);
   g_return_val_if_fail (GDK_IS_GL_CONFIG (glconfig), FALSE);
 
   /* 
@@ -432,7 +432,7 @@ gtk_widget_create_gl_context (GtkWidget    *widget,
   GTK_GL_NOTE_FUNC ();
 
   g_return_val_if_fail (GTK_IS_WIDGET (widget), NULL);
-  g_return_val_if_fail (GTK_WIDGET_REALIZED (widget), NULL);
+  g_return_val_if_fail (gtk_widget_get_realized (widget), NULL);
 
   gldrawable = gdk_window_get_gl_drawable (widget->window);
   if (gldrawable == NULL)
@@ -474,7 +474,7 @@ gtk_widget_get_gl_context (GtkWidget *widget)
   GLWidgetPrivate *private;
 
   g_return_val_if_fail (GTK_IS_WIDGET (widget), NULL);
-  g_return_val_if_fail (GTK_WIDGET_REALIZED (widget), NULL);
+  g_return_val_if_fail (gtk_widget_get_realized (widget), NULL);
 
   private = g_object_get_qdata (G_OBJECT (widget), quark_gl_private);
   if (private == NULL)
@@ -501,7 +501,7 @@ GdkGLWindow *
 gtk_widget_get_gl_window (GtkWidget *widget)
 {
   g_return_val_if_fail (GTK_IS_WIDGET (widget), NULL);
-  g_return_val_if_fail (GTK_WIDGET_REALIZED (widget), NULL);
+  g_return_val_if_fail (gtk_widget_get_realized (widget), NULL);
 
   return gdk_window_get_gl_window (widget->window);
 }

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: "fix@me" <fix@me>
Date: Fri, 1 Oct 2010 14:50:25 +0200
Subject: [PATCH 4/5] removed import declarations


diff --git a/gdk/gdkgldefs.h b/gdk/gdkgldefs.h
index 1111111..2222222 100644
--- a/gdk/gdkgldefs.h
+++ b/gdk/gdkgldefs.h
@@ -27,9 +27,9 @@ G_BEGIN_DECLS
 
 #ifdef G_OS_WIN32
 #  ifdef GDK_GL_COMPILATION
-#    define GDK_GL_VAR __declspec(dllexport)
+#    define GDK_GL_VAR
 #  else
-#    define GDK_GL_VAR extern __declspec(dllimport)
+#    define GDK_GL_VAR extern
 #  endif
 #else
 #  define GDK_GL_VAR extern
diff --git a/gtk/gtkgldefs.h b/gtk/gtkgldefs.h
index 1111111..2222222 100644
--- a/gtk/gtkgldefs.h
+++ b/gtk/gtkgldefs.h
@@ -25,9 +25,9 @@ G_BEGIN_DECLS
 
 #ifdef G_OS_WIN32
 #  ifdef GTK_GL_COMPILATION
-#    define GTK_GL_VAR __declspec(dllexport)
+#    define GTK_GL_VAR
 #  else
-#    define GTK_GL_VAR extern __declspec(dllimport)
+#    define GTK_GL_VAR extern
 #  endif
 #else
 #  define GTK_GL_VAR extern

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Mark Brand <mabrand@mabrand.nl>
Date: Thu, 28 May 2020 19:31:55 +0200
Subject: [PATCH 5/5] fix missing extern for gcc 10


diff --git a/gdk/gdkgldebug.h b/gdk/gdkgldebug.h
index 1111111..2222222 100644
--- a/gdk/gdkgldebug.h
+++ b/gdk/gdkgldebug.h
@@ -66,7 +66,7 @@ typedef enum {
 
 #endif /* G_ENABLE_DEBUG */
 
-GDK_GL_VAR guint gdk_gl_debug_flags;
+extern guint gdk_gl_debug_flags;
 
 G_END_DECLS
 
diff --git a/gtk/gtkgldebug.h b/gtk/gtkgldebug.h
index 1111111..2222222 100644
--- a/gtk/gtkgldebug.h
+++ b/gtk/gtkgldebug.h
@@ -60,7 +60,7 @@ typedef enum {
 
 #endif /* G_ENABLE_DEBUG */
 
-GTK_GL_VAR guint gtk_gl_debug_flags;
+extern guint gtk_gl_debug_flags;
 
 G_END_DECLS
 
